/*
 * Copyright (c) 2023 The Humble Transistor
 * Author: Rob Helvestine <rob@intercreate.io>
 *
 * @file TI LP5030 LED Driver registers
 *
 */

#pragma once

#define LP5030__DEVICE_CONFIG0 0x00
#define LP5030__DEVICE_CONFIG0__CHIPEN__pos         (6)
#define LP5030__DEVICE_CONFIG0__CHIPEN__Enable       1
#define LP5030__DEVICE_CONFIG0__CHIPEN__Enable_mask (LP5030__DEVICE_CONFIG0__CHIPEN__Enable<<LP5030__DEVICE_CONFIG0__CHIPEN__pos)

#define LP5030__DEVICE_CONFIG1 0x01
#define LP5030__DEVICE_CONFIG1__LOGSCALE__pos             (5)
#define LP5030__DEVICE_CONFIG1__LOGSCALE__Enable           1
#define LP5030__DEVICE_CONFIG1__LOGSCALE__Enable_mask     (LP5030__DEVICE_CONFIG1__LOGSCALE__Enable<<LP5030__DEVICE_CONFIG1__LOGSCALE__pos)
#define LP5030__DEVICE_CONFIG1__POWERSAVE__pos            (4)
#define LP5030__DEVICE_CONFIG1__POWERSAVE__Enable          1
#define LP5030__DEVICE_CONFIG1__POWERSAVE__Enable_mask    (LP5030__DEVICE_CONFIG1__POWERSAVE__Enable<<LP5030__DEVICE_CONFIG1__POWERSAVE__pos)
#define LP5030__DEVICE_CONFIG1__AUTOINC__pos              (3)
#define LP5030__DEVICE_CONFIG1__AUTOINC__Enable            1
#define LP5030__DEVICE_CONFIG1__AUTOINC__Enable_mask      (LP5030__DEVICE_CONFIG1__AUTOINC__Enable<<LP5030__DEVICE_CONFIG1__AUTOINC__pos)
#define LP5030__DEVICE_CONFIG1__PWMDITHER__pos            (2)
#define LP5030__DEVICE_CONFIG1__PWMDITHER__Enable          1
#define LP5030__DEVICE_CONFIG1__PWMDITHER__Enable_mask    (LP5030__DEVICE_CONFIG1__PWMDITHER__Enable<<LP5030__DEVICE_CONFIG1__PWMDITHER__pos)
#define LP5030__DEVICE_CONFIG1__MAXCURRENT__pos           (1)
#define LP5030__DEVICE_CONFIG1__MAXCURRENT__35mA           1
#define LP5030__DEVICE_CONFIG1__MAXCURRENT__35mA_mask     (LP5030__DEVICE_CONFIG1__MAXCURRENT__35mA<<LP5030__DEVICE_CONFIG1__MAXCURRENT__pos)
#define LP5030__DEVICE_CONFIG1__LEDGLOBALOFF__pos         (0)
#define LP5030__DEVICE_CONFIG1__LEDGLOBALOFF__Shtdn        1
#define LP5030__DEVICE_CONFIG1__LEDGLOBALOFF__Shtdn_mask  (LP5030__DEVICE_CONFIG1__LEDGLOBALOFF__Shtdn<<LP5030__DEVICE_CONFIG1__LEDGLOBALOFF__pos)

#define LP5030__LED_CONFIG0 0x02
#define LP5030__LED_CONFIG0__ALL_LED_BANK_EN 0xff
#define LP5030__LED_CONFIG0__ALL_LED_IND_EN  0x00

#define LP5030__LED_CONFIG1 0x03
#define LP5030__LED_CONFIG1__ALL_LED_BANK_EN 0x0f
#define LP5030__LED_CONFIG1__ALL_LED_IND_EN  0x00

#define LP5030__BANK_BRIGHTNESS 0x04
#define LP5030__BANK_A_COLOR 0x05
#define LP5030__BANK_B_COLOR 0x06
#define LP5030__BANK_C_COLOR 0x07

#define LP5030__LED0_BRIGHTNESS 0x08

#define LP5030__OUT0_COLOR 0x14

#define LP5030__RESET 0x38
#define LP5030__RESET__ALL 0xff

